Installing the sis file MyAPP_installer.sis (application with smart installer) gives an error saying "Package QtWebkit is not available for your phone" . Can anyone please suggest what can be the probable reason for this error message. Also, phone which I am using is Nokia Surge(Nokia 6790).
Is there any mistake in creating the sis file or it says that smart installer is not supported by the phone. Installing normally the qt.sis and qt_installer.sis installs the qtwebkit and the application runs normally.

Also, can u suggest is ther any way to restrict the qt version in phone to be qt4.6.2 if i want to publish my application on OVI.